# 
# * 6.3 Кортежи (tuple) и их методы
# 
'''
Подвиг 3. Имеется кортеж:
t = (3.4, -56.7)
Вводится последовательность целых чисел в одну строчку через пробел.
Необходимо их добавить в кортеж t. Результат вывести на экран командой:
print(t)
Sample Input:
8 11 -5 2
Sample Output:
(3.4, -56.7, 8, 11, -5, 2)
'''
# t = (3.4, -56.7)
# t += tuple(map(int,input().split()))
# print(t)

'''
Подвиг 4. Вводятся названия городов в одну строку через пробел.
На их основе формируется кортеж. Если в этом кортеже нет города "Москва",
то следует его добавить в конец кортежа.
Результат вывести на экран в виде строки с названиями городов через пробел.
Sample Input:
Уфа Казань Самара
Sample Output:
Уфа Казань Самара Москва
'''
# c = tuple(input().split())
# if 'Москва' not in c:
#     c += 'Москва',
# print(*c)

'''
Подвиг 5. Вводятся названия городов в одну строку через пробел.
На их основе формируется кортеж. Если в этом кортеже присутствует город
"Ульяновск", то этот элемент следует удалить (создав новый кортеж). Результат
вывести на экран в виде строки с названиями городов через пробел.
Sample Input:
Воронеж Самара Тольятти Ульяновск Пермь
Sample Output:
Воронеж Самара Тольятти Пермь
'''
# c = tuple(input().split())
# c = (x for x in c if x != 'Ульяновск')
# print(*c)

'''
Подвиг 6. Вводятся имена студентов в одну строчку через пробел. На их
основе формируется кортеж. Отобразите на экране все имена из этого
кортежа, которые содержат фрагмент "ва" (без учета регистра). Имена
выводятся в одну строчку через пробел в нижнем регистре (малыми буквами).
Sample Input:
Петя Варвара Венера Василиса Василий Федор
Sample Output:
варвара василиса василий
'''
# names = tuple(input().lower().split())
# print(*(x for x in names if x.count('ва') > 0))

'''
Подвиг 7. Вводятся целые числа в одну строку через пробел. На их основе
формируется кортеж. Необходимо создать еще один кортеж с уникальными (не
повторяющимися) значениями из первого кортежа. Результат отобразите в
виде списка чисел через пробел.
P. S. Подобные задачи решаются, как правило, с помощью множеств, но в
качестве практики пока обойдемся без них.
Sample Input:
8 11 -5 -2 8 11 -5
Sample Output:
8 11 -5 -2
'''
# n = tuple(map(int, input().split()))
# u = ()
# for x in n:
#     if x not in u:
#         u += (x,)
# print(*u)

'''
Подвиг 8. Вводятся целые числа в одну строку через пробел. На их основе
формируется кортеж. Необходимо найти и вывести все индексы неуникальных
(повторяющихся) значений в этом кортеже. Результат отобразите в виде
строки чисел, записанных через пробел.
Sample Input:
5 4 -3 2 4 5 10 11
Sample Output:
0 1 4 5
'''
# n = tuple(map(int, input().split()))
# nui = (i for i, x in enumerate(n) if n.count(x) > 1)
# print(*nui)

'''
Подвиг 9. Имеется двумерный кортеж, размером 5 x 5 элементов:
t = ((1, 0, 0, 0, 0),
    (0, 1, 0, 0, 0),
    (0, 0, 1, 0, 0),
    (0, 0, 0, 1, 0),
    (0, 0, 0, 0, 1))
Вводится натуральное число N (N < 5). Необходимо на основе кортежа t 
сформировать новый аналогичный кортеж t2 размером N x N элементов.
Результат вывести на экран в виде таблицы чисел.
Sample Input:
3
Sample Output:
1 0 0
0 1 0
0 0 1
'''
# t = ((1, 0, 0, 0, 0),
#     (0, 1, 0, 0, 0),
#     (0, 0, 1, 0, 0),
#     (0, 0, 0, 1, 0),
#     (0, 0, 0, 0, 1))
# N = int(input())
# tn = ((r[:N]) for r in t[:N])
# [print(*r) for r in tn]

'''
Подвиг 10. Вводятся пункты меню (каждый пункт с новой строки) в формате:
название_1 URL-адрес_1
название_2 URL-адрес_2
...
название_N URL-адрес_N
Необходимо эту информацию представить в виде вложенного кортежа menu в формате:
((название_1, URL-адрес_1), (название_2, URL-адрес_2), ... (название_N, URL-адрес_N))
Результат вывести на экран в виде кортежа командой:
print(menu)
P. S. Для считывания списка целиком в программе уже записаны начальные строчки.
Sample Input:
Главная home
Python learn-python
Java learn-java
PHP learn-php
Sample Output:
(('Главная', 'home'), ('Python', 'learn-python'), ('Java', 'learn-java'), ('PHP', 'learn-php'))
'''

import sys
# считывание списка из входного потока
lst_in = list(map(str.strip, sys.stdin.readlines()))
# здесь продолжайте программу (используйте список lst_in)
print(tuple(tuple(r.split()) for r in lst_in))
